unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, encrypt, ComCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    TextEncryptButton: TBitBtn;
    Edit4: TEdit;
    Label4: TLabel;
    TextDecryptButton: TBitBtn;
    Encrypt1: TEncrypt;
    ProgressBar1: TProgressBar;
    FileEncryptButton: TBitBtn;
    FileDecryptButton: TBitBtn;
    OpenDialog1: TOpenDialog;
    procedure TextEncryptButtonClick(Sender: TObject);
    procedure TextDecryptButtonClick(Sender: TObject);
    procedure FileEncryptButtonClick(Sender: TObject);
    procedure Encrypt1ProgressChange(Sender: TObject);
    procedure FileDecryptButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
(*to encrypt text string*)
procedure TForm1.TextEncryptButtonClick(Sender: TObject);
begin
 Encrypt1.Key:=Edit1.Text;(*set encryption key*)
 Encrypt1.InputString:=Edit2.Text;(*set text string to encrypt*)
 Encrypt1.TextEncrypt;(*encrypt text*)
 Edit3.Text:=Encrypt1.OutputString;(*read encrypted text string*)
end;
(*to decrypt text string*)
procedure TForm1.TextDecryptButtonClick(Sender: TObject);
begin
 Encrypt1.Key:=Edit1.Text;(*set decryption key*)
 Encrypt1.InputString:=Edit3.Text;(*set decryption text string*)
 Encrypt1.TextDecrypt;(*decrypt text string*)
 Edit4.Text:=Encrypt1.OutputString;(*read decrypted text string*)
end;

procedure TForm1.FileEncryptButtonClick(Sender: TObject);
begin
 if opendialog1.execute then
  begin
   Encrypt1.Key:=Edit1.Text;(*set encryption key*)
   Encrypt1.InputFile:=Opendialog1.FileName;(*set file to be encrypted name*)
   Encrypt1.OutputFile:=ChangeFileExt(Opendialog1.FileName,'.enc');(*set encrypted
   file name*)
   Encrypt1.FileEncrypt;(*encrypt file*)
  end;
end;
(*decrypt file*)
procedure TForm1.FileDecryptButtonClick(Sender: TObject);
begin
 if Opendialog1.Execute then
  begin
   Encrypt1.Key:=Edit1.Text;(*set encryption key*)
   Encrypt1.InputFile:=Opendialog1.FileName; (*set file to decrypt name*)
   Encrypt1.OutputFile:=ChangeFileExt(Opendialog1.FileName,'.dec');(*set
   name for decrypted file*)
   Encrypt1.FileDecrypt;(*decrypt file*)
  end;
end;
(*show file encryption/decryption progress*)
procedure TForm1.Encrypt1ProgressChange(Sender: TObject);
begin
 ProgressBar1.Position:=Encrypt1.Progress;(*set progress position, only for files*)
end;



end.
